docs

# PassportFile

data class PassportFile ( val fileId: FileId , val fileUniqueId: FileUniqueId , val uploadingDate: TelegramDate , val fileSize: Long ? = null) : TelegramMediaFile
Content copied to clipboard

This object represents a file uploaded to Telegram Passport. Currently all Telegram Passport files are in JPEG format when decrypted and don't exceed 10MB.

## Constructors

PassportFile
Link copied to clipboard
fun PassportFile ( fileId: FileId , fileUniqueId: FileUniqueId , uploadingDate: TelegramDate , fileSize: Long ? = null)
Content copied to clipboard

## Properties

fileId
Link copied to clipboard
open override val fileId : FileId
Content copied to clipboard
fileSize
Link copied to clipboard
open override val fileSize : Long ? = null
Content copied to clipboard
fileUniqueId
Link copied to clipboard
open override val fileUniqueId : FileUniqueId
Content copied to clipboard
uploadingDate
Link copied to clipboard
val uploadingDate : TelegramDate
Content copied to clipboard